/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2022-02-08 15:35:03Z
 *****************************************************************************/

#ifndef __RSRTX_ATTRIBUTES_HEADER
#define __RSRTX_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtx_OffOrAutoBool_ReadCallback(ViSession          instrSession,
                                          ViConstString      repCapName,
                                          RsCoreAttributePtr attr);

ViStatus rsrtx_PatternCondition_ReadCallback(ViSession          instrSession,
                                             ViConstString      repCapName,
                                             RsCoreAttributePtr attr);

ViStatus rsrtx_singleStatisticalValue_ReadCallback(ViSession          instrSession,
                                                   ViConstString      repCapName,
                                                   RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameRepCapBool_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameByteRepCapInt_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameByteRepCapReal_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatI2CFrameByteRepCapBool_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSPIFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSPIFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSPIFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSPIFrameWordRepCapReal_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSPIFrameWordRepCapInt_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatUARTFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatUARTFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                      ViConstString      repCapName,
                                                      RsCoreAttributePtr attr);

ViStatus rsrtx_FormatUARTFrameWordRepCapInt_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatUARTFrameWordRepCapReal_ReadCallback(ViSession          instrSession,
                                                          ViConstString      repCapName,
                                                          RsCoreAttributePtr attr);

ViStatus rsrtx_FormatLINFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatLINFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr);

ViStatus rsrtx_FormatLINFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatLINFrameByteRepCapInt_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatCANFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr);

ViStatus rsrtx_FormatCANFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatCANFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatCANFrameByteRepCapInt_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatParallelFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                            ViConstString      repCapName,
                                                            RsCoreAttributePtr attr);

ViStatus rsrtx_FormatParallelFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatParallelFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                          ViConstString      repCapName,
                                                          RsCoreAttributePtr attr);

ViStatus rsrtx_FormatClockedFrameRepCapString_ReadCallback(ViSession          instrSession,
                                                           ViConstString      repCapName,
                                                           RsCoreAttributePtr attr);

ViStatus rsrtx_FormatClockedFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatClockedFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatAudioFrameRepCapInt_ReadCallback(ViSession          instrSession,
                                                      ViConstString      repCapName,
                                                      RsCoreAttributePtr attr);

ViStatus rsrtx_FormatAudioFrameRepCapReal_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatMILSTDWordRepCapReal_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatMILSTDWordRepCapInt_ReadCallback(ViSession          instrSession,
                                                      ViConstString      repCapName,
                                                      RsCoreAttributePtr attr);

ViStatus rsrtx_FormatMILSTDWordRepCapString_ReadCallback(ViSession          instrSession,
                                                         ViConstString      repCapName,
                                                         RsCoreAttributePtr attr);

ViStatus rsrtx_FormatARINCWordRepCapInt_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatARINCWordRepCapReal_ReadCallback(ViSession          instrSession,
                                                      ViConstString      repCapName,
                                                      RsCoreAttributePtr attr);

ViStatus rsrtx_FormatARINCWordRepCapString_ReadCallback(ViSession          instrSession,
                                                        ViConstString      repCapName,
                                                        RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSOAPointRepCapReal_ReadCallback(ViSession          instrSession,
                                                     ViConstString      repCapName,
                                                     RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSOAPointRepCapString_ReadCallback(ViSession          instrSession,
                                                       ViConstString      repCapName,
                                                       RsCoreAttributePtr attr);

ViStatus rsrtx_FormatSOAPointRepCapInt_ReadCallback(ViSession          instrSession,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr);

ViStatus rsrtx_logging_ReadCallback(ViSession          instrSession,
                                    ViConstString      repCapName,
                                    RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtx_OffOrAutoBool_WriteCallback(ViSession          instrSession,
                                           ViConstString      repCapName,
                                           RsCoreAttributePtr attr,
                                           void               *value);

ViStatus rsrtx_PatternCondition_WriteCallback(ViSession          instrSession,
                                              ViConstString      repCapName,
                                              RsCoreAttributePtr attr,
                                              void               *value);

ViStatus rsrtx_FormatSOAPointRepCapReal_WriteCallback(ViSession          instrSession,
                                                      ViConstString      repCapName,
                                                      RsCoreAttributePtr attr,
                                                      void               *value);

ViStatus rsrtx_logging_WriteCallback(ViSession          instrSession,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr,
                                     void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged rsrtx_rngHorzScale;
extern RsCoreRangeTableRanged rsrtx_rngHorzAcquisitionTime;
extern RsCoreRangeTableRanged rsrtx_rngAcquisitionStartTime;
extern RsCoreRangeTableRanged rsrtx_rngHorzReference;
extern RsCoreRangeTableDiscrete rsrtx_rngSampleMode;
extern RsCoreRangeTableDiscrete rsrtx_rngWaveformArithmetics;
extern RsCoreRangeTableDiscrete rsrtx_rngVerticalCoupling;
extern RsCoreRangeTableDiscrete rsrtx_rngChannelBWLimit;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerSource;
extern RsCoreRangeTableRanged rsrtx_rngTriggerLevel;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerSlope;
extern RsCoreRangeTableDiscrete rsrtx_rngPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngWidthCondition;
extern RsCoreRangeTableRanged rsrtx_rngLineNumber;
extern RsCoreRangeTableDiscrete rsrtx_rngTVTriggerEvent;
extern RsCoreRangeTableDiscrete rsrtx_rngCursorFunction;
extern RsCoreRangeTableRanged rsrtx_rngCursorXPosition;
extern RsCoreRangeTableRanged rsrtx_rngCursorYPosition;
extern RsCoreRangeTableRanged rsrtx_rngPct;
extern RsCoreRangeTableDiscrete rsrtx_rngXRatioMeasurementUnit;
extern RsCoreRangeTableDiscrete rsrtx_rngYRatioMeasurementUnit;
extern RsCoreRangeTableDiscrete rsrtx_rngInterpolation;
extern RsCoreRangeTableDiscrete rsrtx_rngMeasurementCategory;
extern RsCoreRangeTableDiscrete rsrtx_rngFFTWindowType;
extern RsCoreRangeTableRanged rsrtx_rngRBW;
extern RsCoreRangeTableRanged rsrtx_rngRBWRatio;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CFrameState;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolAckBit;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIBitOrder;
extern RsCoreRangeTableRanged rsrtx_rngProtocolSPIWordLength;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioSource;
extern RsCoreRangeTableDiscrete rsrtx_rngSPIChipSelectSource;
extern RsCoreRangeTableDiscrete rsrtx_rngMOSISource;
extern RsCoreRangeTableDiscrete rsrtx_rngMISOSource;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIFrameState;
extern RsCoreRangeTableDiscrete rsrtx_rngUARTSource;
extern RsCoreRangeTableDiscrete rsrtx_rngUARTTxSource;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTParity;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTStopBits;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolUARTTriggerType;
extern RsCoreRangeTableDiscrete rsrtx_rngSignalStyle;
extern RsCoreRangeTableDiscrete rsrtx_rngHardcopyDeviceOrientation;
extern RsCoreRangeTableDiscrete rsrtx_rngWaveformParameter;
extern RsCoreRangeTableRanged rsrtx_rngAveragingSpectrums;
extern RsCoreRangeTableDiscrete rsrtx_rngColorBrightness;
extern RsCoreRangeTableDiscrete rsrtx_rngDiagramMode;
extern RsCoreRangeTableDiscrete rsrtx_rngLanguage;
extern RsCoreRangeTableDiscrete rsrtx_rngGridStyle;
extern RsCoreRangeTableDiscrete rsrtx_rngSource;
extern RsCoreRangeTableDiscrete rsrtx_rngXY2Source;
extern RsCoreRangeTableDiscrete rsrtx_rngIntensityMode;
extern RsCoreRangeTableRanged rsrtx_rngIntensityTreshold;
extern RsCoreRangeTableDiscrete rsrtx_rngHardcopyDevice;
extern RsCoreRangeTableDiscrete rsrtx_rngHardcopyDeviceLang;
extern RsCoreRangeTableDiscrete rsrtx_rngMaskCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngProbeButtonAction;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerCoupling;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CAccessBit;
extern RsCoreRangeTableDiscrete rsrtx_rngAddressLength;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolI2CTriggerType;
extern RsCoreRangeTableDiscrete rsrtx_rngHysteresisMode;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerMode;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerPatternFunction;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPITriggerType;
extern RsCoreRangeTableRanged rsrtx_rngFirstBitOffset;
extern RsCoreRangeTableRanged rsrtx_rngSPIWordLength;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerType;
extern RsCoreRangeTableDiscrete rsrtx_rngTVStandard;
extern RsCoreRangeTableRanged rsrtx_rngUartLength;
extern RsCoreRangeTableRanged rsrtx_rngTrgDelay;
extern RsCoreRangeTableDiscrete rsrtx_rngColorScheme;
extern RsCoreRangeTableDiscrete rsrtx_rngAcquisitionType;
extern RsCoreRangeTableDiscrete rsrtx_rngAmplitudeTimeMeasurementType;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolType;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolFormat;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolHeight;
extern RsCoreRangeTableRanged rsrtx_rngProtocolVertical;
extern RsCoreRangeTableRanged rsrtx_rngParallelBusAnalyzedLines;
extern RsCoreRangeTableRanged rsrtx_rngProtocolBurstIdleTime;
extern RsCoreRangeTableRanged rsrtx_rngProtocolUARTWordLength;
extern RsCoreRangeTableRanged rsrtx_rngProtocolUARTBitRate;
extern RsCoreRangeTableRanged rsrtx_rngProtocolI2CPatternLength;
extern RsCoreRangeTableRanged rsrtx_rngBckLight;
extern RsCoreRangeTableDiscrete rsrtx_rngRelativeMode;
extern RsCoreRangeTableDiscrete rsrtx_rngChannelPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngExternalTriggerCoupling;
extern RsCoreRangeTableRanged rsrtx_rngRelLevel;
extern RsCoreRangeTableRanged rsrtx_rngMathVerticalScale;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchSource;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchSlope;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchRange;
extern RsCoreRangeTableRanged rsrtx_rngWaveformPosition;
extern RsCoreRangeTableDiscrete rsrtx_rngScalingUnit;
extern RsCoreRangeTableDiscrete rsrtx_rngProbeUnit;
extern RsCoreRangeTableRanged rsrtx_rngProbeAttenuation;
extern RsCoreRangeTableRanged rsrtx_rngAutoMeasWaveforms;
extern RsCoreRangeTableDiscrete rsrtx_rngWaveformSamplesRange;
extern RsCoreRangeTableDiscrete rsrtx_rngMaskTestActionExecution;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchTriggerPatternCombination;
extern RsCoreRangeTableRanged rsrtx_rngNumberofAverages;
extern RsCoreRangeTableRanged rsrtx_rngNumberOfWaveforms;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchGateMode;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPITriggerSource;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolLINStandard;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolLINTriggerMode;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCondition;
extern RsCoreRangeTableRanged rsrtx_rngProtocolCANDataLength;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSearchEvent;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolLINSearchFrameSetup;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANLineType;
extern RsCoreRangeTableRanged rsrtx_rngProtocolCANBitRate;
extern RsCoreRangeTableRanged rsrtx_rngProtocolCANSamplePoint;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANTriggerMode;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANTriggerFrameType;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANIDType;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANSearchFrameSetup;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolCANSearchFrameType;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolLINPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolSPIMISOPolarity;
extern RsCoreRangeTableRanged rsrtx_rngAutomaticMeasurementResultIndex;
extern RsCoreRangeTableDiscrete rsrtx_rngDigitalHysteresis;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerHoldoffMode;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerPatternMode;
extern RsCoreRangeTableDiscrete rsrtx_rngTriggerOutMode;
extern RsCoreRangeTableDiscrete rsrtx_rngDigitalTechnology;
extern RsCoreRangeTableDiscrete rsrtx_rngParallelBusFrameEnabled;
extern RsCoreRangeTableDiscrete rsrtx_rngI2CFrameTransferDirection;
extern RsCoreRangeTableDiscrete rsrtx_rngFrameAddressLength;
extern RsCoreRangeTableDiscrete rsrtx_rngLINFrameStatus;
extern RsCoreRangeTableDiscrete rsrtx_rngLINChecksum;
extern RsCoreRangeTableDiscrete rsrtx_rngLINParity;
extern RsCoreRangeTableDiscrete rsrtx_rngLINFrameVersion;
extern RsCoreRangeTableDiscrete rsrtx_rngLINByteEnabled;
extern RsCoreRangeTableDiscrete rsrtx_rngUARTWordEnabled;
extern RsCoreRangeTableDiscrete rsrtx_rngCANFrameType;
extern RsCoreRangeTableDiscrete rsrtx_rngCANFrameStatus;
extern RsCoreRangeTableDiscrete rsrtx_rngCANAckState;
extern RsCoreRangeTableDiscrete rsrtx_rngMeasurementSource;
extern RsCoreRangeTableDiscrete rsrtx_rngPowerAnalysisType;
extern RsCoreRangeTableDiscrete rsrtx_rngStatistics;
extern RsCoreRangeTableDiscrete rsrtx_rngQualityType;
extern RsCoreRangeTableDiscrete rsrtx_rngQualityTypePower;
extern RsCoreRangeTableDiscrete rsrtx_rngHarmonicsStandard;
extern RsCoreRangeTableDiscrete rsrtx_rngHarmonicsType;
extern RsCoreRangeTableDiscrete rsrtx_rngLimitCheck;
extern RsCoreRangeTableDiscrete rsrtx_rngRippleType;
extern RsCoreRangeTableDiscrete rsrtx_rngSpectrumType;
extern RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamental;
extern RsCoreRangeTableDiscrete rsrtx_rngSlewRateType;
extern RsCoreRangeTableDiscrete rsrtx_rngModulationType;
extern RsCoreRangeTableDiscrete rsrtx_rngModulationResultType;
extern RsCoreRangeTableDiscrete rsrtx_rngEfficiencyType;
extern RsCoreRangeTableDiscrete rsrtx_rngSwitchinglossType;
extern RsCoreRangeTableDiscrete rsrtx_rngOnOffType;
extern RsCoreRangeTableDiscrete rsrtx_rngPowerAnalysisSource;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioVariant;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioClockPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioWSPolarity;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioChannelOrder;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolAudioBitOrder;
extern RsCoreRangeTableRanged rsrtx_rngAudioOffset;
extern RsCoreRangeTableRanged rsrtx_rngAudioTDMChannels;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerType;
extern RsCoreRangeTableRanged rsrtx_rngProtocolAudioWindowLength;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioFrameStatus;
extern RsCoreRangeTableRanged rsrtx_rngAudioFrameOffset;
extern RsCoreRangeTableDiscrete rsrtx_rngTrackDisplayMode;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngAudioTriggerCombination;
extern RsCoreRangeTableDiscrete rsrtx_rngSelfAlignmentState;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDCodeType;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDStatus;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDDirection;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDType;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerType;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerSync;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerWord;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDTriggerCommandType;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDSubAddress;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchError;
extern RsCoreRangeTableDiscrete rsrtx_rngHistoryPlayer;
extern RsCoreRangeTableDiscrete rsrtx_rngHistorySpeed;
extern RsCoreRangeTableDiscrete rsrtx_rngThresholdHysteresis;
extern RsCoreRangeTableDiscrete rsrtx_rngStatus;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429Polarity;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429BitRateMode;
extern RsCoreRangeTableRanged rsrtx_rngProtocolARINC429ThresholdHigh;
extern RsCoreRangeTableRanged rsrtx_rngProtocolARINC429ThresholdLow;
extern RsCoreRangeTableDiscrete rsrtx_rngARINC429WordStatus;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429DataFormat;
extern RsCoreRangeTableDiscrete rsrtx_rngProtocolARINC429Operator;
extern RsCoreRangeTableDiscrete rsrtx_rngARINCSsmSdi;
extern RsCoreRangeTableDiscrete rsrtx_rngARINC429TimingCondition;
extern RsCoreRangeTableDiscrete rsrtx_rngARINC429WordType;
extern RsCoreRangeTableDiscrete rsrtx_rngARINC429Type;
extern RsCoreRangeTableDiscrete rsrtx_rngARINC429Error;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDTransmissionType;
extern RsCoreRangeTableDiscrete rsrtx_rngMILSTDSearchWordStart;
extern RsCoreRangeTableDiscrete rsrtx_rngHardcopyCommandSet;
extern RsCoreRangeTableDiscrete rsrtx_rngScaleLinLog;
extern RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamentalMIL;
extern RsCoreRangeTableDiscrete rsrtx_rngHarmonicsFundamentalRTC;
extern RsCoreRangeTableRanged rsrtx_rngPowerAnalysisReportTemperature;
extern RsCoreRangeTableRanged rsrtx_rngTransientResponseSignal;
extern RsCoreRangeTableDiscrete rsrtx_rngProbeInputImpedance;
extern RsCoreRangeTableDiscrete RsRtx_rngClockedSource;
extern RsCoreRangeTableDiscrete RsRtx_rngParallelBitSource;
extern RsCoreRangeTableRanged RsRtx_rngPctInt;
extern RsCoreRangeTableDiscrete RsRtx_rngDVMType;
extern RsCoreRangeTableDiscrete RsRtx_rngDVMPosition;
extern RsCoreRangeTableDiscrete RsRtx_rngMagnitudeScale;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumFrequencyWindowType;
extern RsCoreRangeTableRanged RsRtx_rngSpectrumSpectrogramScale;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerDisplay;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerSource;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerSetupDetectionMode;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerReferenceMode;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerResultMode;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumMarkerTablePosition;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumDisplayColorScheme;
extern RsCoreRangeTableDiscrete RsRtx_rngContentFormat;
extern RsCoreRangeTableDiscrete RsRtx_rngAcquisitionMode;
extern RsCoreRangeTableDiscrete RsRtx_rngAcquisitionState;
extern RsCoreRangeTableDiscrete RsRtx_rngMathOperation;
extern RsCoreRangeTableDiscrete rsrtx_rngMathSource;
extern RsCoreRangeTableDiscrete RsRtx_rngAbsoluteRelative;
extern RsCoreRangeTableDiscrete RsRtx_rngDeviceMode;
extern RsCoreRangeTableDiscrete RsRtx_rngPersistenceType;
extern RsCoreRangeTableDiscrete rsrtx_rngHardcopyFormat;
extern RsCoreRangeTableRanged RsRtx_rngLogicCurrent;
extern RsCoreRangeTableDiscrete RsRtx_rngLogicThreshold;
extern RsCoreRangeTableDiscrete rsrtx_rngLogicHysteresis;
extern RsCoreRangeTableDiscrete RsRtx_rngLogicType;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorFunctionType;
extern RsCoreRangeTableRanged RsRtx_rngWaveformGeneratorDutyCycle;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorModulationType;
extern RsCoreRangeTableRanged RsRtx_rngPercent;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorArbitrarySource;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorLoad;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorModulationFunctionType;
extern RsCoreRangeTableDiscrete RsRtx_rngWaveformGeneratorOutputDestination;
extern RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorFunctionType;
extern RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorCounterDirection;
extern RsCoreRangeTableDiscrete RsRtx_rngPatternGeneratorTriggerMode;
extern RsCoreRangeTableDiscrete rsrtx_rngWindowRange;
extern RsCoreRangeTableDiscrete RsRtx_rngSpectrumAnalysisMode;
extern RsCoreRangeTableDiscrete RsRtx_rngInterface;
extern RsCoreRangeTableDiscrete RsRtx_rngUSBClass;
extern RsCoreRangeTableDiscrete RsRtx_rngEthernetTransfer;
extern RsCoreRangeTableDiscrete RsRtx_rngTimeoutRange;
extern RsCoreRangeTableRanged RsRtx_rngTimeoutTriggerTime;
extern RsCoreRangeTableDiscrete RsRtx_rngMILSTDTriggerFrame;
extern RsCoreRangeTableDiscrete RsRtx_rngPointSelection;
extern RsCoreRangeTableDiscrete RsRtx_rngUARTTriggerSource;
extern RsCoreRangeTableDiscrete RsRtx_rngUARTFrameSource;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchResultType;
extern RsCoreRangeTableDiscrete rsrtx_rngSearchResultSlope;
extern RsCoreRangeTableDiscrete RsRtx_rngMemoryMode;
extern RsCoreRangeTableDiscrete RsRtx_rngBodeAmplitudeMode;
extern RsCoreRangeTableRanged RsRtx_rngBodeAmplitudePosition;
extern RsCoreRangeTableRanged RsRtx_rngBodeAmplitudeProfilePoints;
extern RsCoreRangeTableRanged RsRtx_rngBodeAmplitudeScale;
extern RsCoreRangeTableRanged RsRtx_rngBodeGainPosition;
extern RsCoreRangeTableRanged RsRtx_rngBodeGainScale;
extern RsCoreRangeTableRanged RsRtx_rngBodeMeasurementDelay;
extern RsCoreRangeTableRanged RsRtx_rngBodePointsPerDecade;
extern RsCoreRangeTableRanged RsRtx_rngChannelPosition;
extern RsCoreRangeTableRanged RsRtx_rngPWMDutyCycle;
extern RsCoreRangeTableRanged RsRtx_rngProbeGain;
extern RsCoreRangeTableRanged RsRtx_rng16BitRange;
extern RsCoreRangeTableRanged RsRtx_rngBurstIdleTime;
extern RsCoreRangeTableRanged RsRtx_rngBurstCycles;
extern RsCoreRangeTableRanged RsRtx_rng360Degrees;
extern RsCoreRangeTableRanged RsRtx_rngTriangleSymmetry;
extern RsCoreRangeTableRanged RsRtx_rngBodePlotStartFrequency;
extern RsCoreRangeTableRanged RsRtx_rngBodePlotStopFrequency;
extern RsCoreRangeTableDiscrete RsRtx_rngBodeSourceChannel;
extern RsCoreRangeTableDiscrete RsRtx_rngBodePlotMeasurementState;
extern RsCoreRangeTableRanged RsRtx_rngBodePhasePosition;
extern RsCoreRangeTableRanged RsRtx_rngBodePhaseScale;
extern RsCoreRangeTableDiscrete RsRtx_rngUARTFrameState;
extern RsCoreRangeTableDiscrete RsRtx_rngIdleStatePolarity;
extern RsCoreRangeTableDiscrete RsRtx_rngMathWaveformColor;
extern RsCoreRangeTableDiscrete RsRtx_rngChannelWaveformColor;
extern RsCoreRangeTableDiscrete RsRtx_rngMaskCaptureMode;
extern RsCoreRangeTableDiscrete RsRtx_rngPWMMotorDirection;
extern RsCoreRangeTableDiscrete RsRtx_rngReferenceWaveformColor;
extern RsCoreRangeTableRanged RsRtx_rngEthernetIPPort;
extern RsCoreRangeTableDiscrete RsRtx_rngCounterSource;
extern RsCoreRangeTableRanged rsrtx_rngProtocolLINDataLength;
extern RsCoreRangeTableDiscrete rsrtx_rngWaveformExportParameter;
extern RsCoreRangeTableDiscrete rsrtx_rngReferenceWaveformParameter;
extern RsCoreRangeTableRanged RsRtx_rngProbeZeroAdjust;
extern RsCoreRangeTableDiscrete RsRtx_rngProbeInputVoltageRange;
extern RsCoreRangeTableDiscrete RsRtx_rngProbeMeasMode;
extern RsCoreRangeTableDiscrete RsRtx_rngMeasurementDelayDirection;
extern RsCoreRangeTableDiscrete RsRtx_rngBurstTriggerMode;
extern RsCoreRangeTableDiscrete RsRtx_rngChannelAndDigitalSource;
extern RsCoreRangeTableDiscrete rsrtx_rngWaveformGeneratorSweepType;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSRTX_ATTR_RECORD_LENGTH_AUTOMATIC;
extern RsCoreAttribute g_RSRTX_ATTR_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_ACQUIRE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PEAK_DETECT;
extern RsCoreAttribute g_RSRTX_ATTR_HIGH_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_INTERPOLATION;
extern RsCoreAttribute g_RSRTX_ATTR_NUM_AVERAGES;
extern RsCoreAttribute g_RSRTX_ATTR_NUM_AVERAGES_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_NUM_AVERAGES_RESET;
extern RsCoreAttribute g_RSRTX_ATTR_MEMORY_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_AVERAGING_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_NUMBER_OF_WAVEFORMS;
extern RsCoreAttribute g_RSRTX_ATTR_SAMPLE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_RATE_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_TIME_PER_RECORD;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_ROLL_MODE_AUTOMATIC;
extern RsCoreAttribute g_RSRTX_ATTR_ROLL_MODE_MINIMUM_TIME_BASE;
extern RsCoreAttribute g_RSRTX_ATTR_ACQUSITION_START_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_ACQUISITION_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_ADC_SAMPLE_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_SAMPLE_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOSCALE;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_DIVISIONS;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_REFERENCE;
extern RsCoreAttribute g_RSRTX_ATTR_ROLL_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_TIMESTAMPS_FILENAME;
extern RsCoreAttribute g_RSRTX_ATTR_TIMESTAMPS_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_ACQUISITION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_ACQUISITION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_HORZ_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_GET_HORZ_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_INPUT_CAPACITANCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_DEGAUSS;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ATTENUATION;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_GAIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_BANDWIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_DC_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_CM_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ADDITIONAL_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_VOLTMETER_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ATTENUATION_UNIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ATTENUATION_MANUAL;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_GAIN_UNIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_GAIN_MANUAL;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_MICRO_BUTTON_ACTION;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_SOFTWARE_VERSION;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_PRODUCTION_DATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_PART_NUMBER;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_BUILD_NUMBER;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_SERIAL_NUMBER;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_COPY_TO_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ATTENUATOR_RT_ZA15_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_ZERO_ADJUST;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_SAVE_ZERO_ADJUST;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_INPUT_VOLTAGE_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_BANDWIDTH_LIMIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_AUDIBLE_OVERRANGE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_MEAS_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_AC_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_VISIBILITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_RESULT_SINGLE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_RESULT_COMMON;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_RESULT_DIFFERENTIAL;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_RESULT_NEGATIVE;
extern RsCoreAttribute g_RSRTX_ATTR_PROBE_METER_RESULT_POSITIVE;
extern RsCoreAttribute g_RSRTX_ATTR_LABEL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_LABEL_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_BUS_LABEL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_BUS_LABEL_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_VERTICAL_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_VERTICAL_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_ZERO_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_BANDWIDTH_LIMIT;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_OVERLOAD;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_SKEW;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_THRESHOLD_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_WAVEFORM_COLOR;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_FIND_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_ALL_OFF;
extern RsCoreAttribute g_RSRTX_ATTR_CHANNEL_ALL_ON;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DESKEW;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_TECHNOLOGY;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_APPLY;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_LABEL;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_LABEL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_VERTICAL_CHANNEL_SIZE;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_VERTICAL_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_CURRENT_STATUS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_PROBE_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_POINT_SELECTION;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_THRESHOLD_USER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_ARITHMETICS;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_PROBE_CONNECTED;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_CURRENT_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_CURRENT_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_POINT_SELECTION;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_WAVEFORM_DATA_POINTS;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_TYPE_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_SOURCE_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_SOURCE_B;
extern RsCoreAttribute g_RSRTX_ATTR_EXTERNAL_TRIGGER_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_EXTERNAL_TRIGGER_TERMINATION;
extern RsCoreAttribute g_RSRTX_ATTR_EXTERNAL_TRIGGER_OVERLOAD;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HOLDOFF_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HOLDOFF_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HYSTERESIS_A_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_HYSTERESIS_B_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_MODIFIER_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_MODIFIER_B;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_EVENT_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_AUTO_FIND_B;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_LEVEL_B;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_SLOPE_A;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_SLOPE_B;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_FILTER_HIGH;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_FILTER_HF_REJECT;
extern RsCoreAttribute g_RSRTX_ATTR_TV_TRIGGER_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_TV_TRIGGER_LINE_NUMBER;
extern RsCoreAttribute g_RSRTX_ATTR_TV_TRIGGER_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_TV_STANDARD;
extern RsCoreAttribute g_RSRTX_ATTR_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_WIDTH_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_WIDTH_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_WIDTH_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_FUNCTION;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_POINT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_PATTERN_WIDTH_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_WINDOW_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_WINDOW_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_WINDOW_TIME_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_TIME_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_TIME_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_TIME_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SOUND;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SCREENSHOT_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_SAVE_WAVEFORM_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_REFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_ACTIONS_ON_TRIGGER_PULSE_OUT;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_OUT_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_OUT_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_TRIGGER_OUT_PULSE_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_LOWER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_RUNT_TRIGGER_UPPER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_TIMEOUT_TRIGGER_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_TIMEOUT_TRIGGER_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_BIT_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_ID;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_CHECKSUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_PARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_SYNC;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_ID;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_CRC;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_STUFFING;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_FORM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_ACK;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_COMBINATION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_WORD;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_TRANSMISSION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_TIMEOUT_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_PARITY_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_MANCHESTER_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_DATA_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_WORD_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_WORD_ADDRESS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_CODE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_RECEIVED_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_BUSY_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_BUS_CONTROL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_INSTRUMENTATION_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_MESSAGE_ERROR_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SERVICE_REQUEST_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_SUBSYSTEM_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_TERMINAL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_WORDS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_WORD_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_GAP_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_SIZE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_RUN_SINGLE;
extern RsCoreAttribute g_RSRTX_ATTR_RUN_SINGLE_WAIT_FOR_OPC;
extern RsCoreAttribute g_RSRTX_ATTR_RUN_CONTINUOUS;
extern RsCoreAttribute g_RSRTX_ATTR_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_SEND_SW_TRIGGER;
extern RsCoreAttribute g_RSRTX_ATTR_ACQUISITION_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFROM_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_EXPORT_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_EXPORT_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_LOGIC_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAGE_WAVEFORM_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MINIMUM_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MAXIMUM_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAGE_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_AVERAVE_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_ALL_CURSORS_OFF;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_SECOND_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_SECOND_SOURCE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_TRACKING;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X_POSITION_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y_POSITION_COUPLING;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_ADJUSTMENT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X_RATIO_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y_RATIO_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_DISTANCE_HORIZONTAL;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_DISTANCE_VERTICAL;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_INVERSE_DISTANCE;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_VERTICAL;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_AUTOSET;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_RESET;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_PEAK_NEXT;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_PEAK_PREVIOUS;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X1_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X2_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_X3_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y1_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y2_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_Y3_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_LINE_NEXT_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_CURSOR_LINE_PREVIOUS_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MEAS_RELATIVE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_MEAS_RELATIVE_LOWER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_MEAS_RELATIVE_UPPER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PERIOD;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MINIMUM_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PULSES;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PULSES;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISING_EDGES;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_EDGES;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_HIGH_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_LOW_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AMPLITUDE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RISE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_CYCLE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_CYCLE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_POSITIVE_PULSE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_NEGATIVE_PULSE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_RMS_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATIONS;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_DELAY;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_PHASE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_BURST_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_OVERSHOOT;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_OVERSHOOT;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_AVERAGE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_MAIN_MEASUREMENT_RESULT_WAVEFORM_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_AMPT_MAIN_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_DELAY_MARKER_VISIBLE;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_CATEGORY;
extern RsCoreAttribute g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUICK_MEASUREMENTS_DISABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS;
extern RsCoreAttribute g_RSRTX_ATTR_RESET_AUTOMATIC_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT_AUTO;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_TIMEOUT;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_AVERAGE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_POSITIVE_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX;
extern RsCoreAttribute g_RSRTX_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_ALL_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_ALL_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_START;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_ABSOLUTE_END;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_START;
extern RsCoreAttribute g_RSRTX_ATTR_MEASUREMENT_GATE_RELATIVE_END;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_DATA_POINTS;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_ACQUISITION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_EXPRESSION;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_LABEL;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_LABEL_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_WAVEFORM_COLOR;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_FULL_SPAN;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_START_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_AVERAGING;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_AVERAGING_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_WINDOW_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_SCALING_UNIT;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_SAMPLE_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_YT_WINDOW_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_FFT_YT_WINDOW_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_TRACK_EDGE_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_TRACK_DOUBLE_PULSE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_MATH_TRACK_THRESHOLD_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_OPERATION;
extern RsCoreAttribute g_RSRTX_ATTR_SIMPLE_MATH_WAVEFORM_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_DATA_POINTS;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_LABEL;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_COLOR;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_UPDATE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_CATALOG;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_COPY_CHANNEL;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_HIT_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_SEGMENT_CAPTURE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_STORE;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_LOAD;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_BEEP;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_SCREENSHOT_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_PULSE;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_ACTION_AUX_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_BEEP;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SCREENSHOT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PRINT;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_SAVES_WAVEFORM;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_COUNT_PULSE;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_TEST_VIOLATION_PULSE_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_RESET_TEST_COUNTER;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_VERTICAL_SCALING;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_VERTICAL_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_MASK_HORIZONTAL_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_SLOPE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WIDTH_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PEAK_LIMIT;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_LEVEL_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_DELTA;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_TIME_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_GATE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_GATE_START;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_GATE_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_SHOW_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_NUMBER_OF_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_ID;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_CHECKSUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_PARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_SYNC;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_ID;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_CRC;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_STUFFING;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_FORM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_ACK;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_TRANSMISSION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_DATA_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SUB_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_WORD_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_WORD_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_COMMAND_MODE_CODE;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_RECEIVED_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_BUSY_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_BUS_CONTROL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_INSTRUMENTATION_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCHMESSAGE_ERROR_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SERVICE_REQUEST_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_SUBSYSTEM_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_TERMINAL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_DATA_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_DATA_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_MILSTD_SEARCH_DATA_OFFSET_WORDS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_WORD_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_SIZE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SDI;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SEARCH_SSM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_BUS_SAVE_DECODED_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CONTENT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_DISPLAY_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_DISPLAY_HEIGHT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_DISPLAY_LINES;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_DISPLAY_VERTICAL;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_DISPLAY_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_DATA_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_TRANSFER_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACKNOWLEDGE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START_ACK_BIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_WITHOUT_BIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_SELECTED_BYTE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_I2C_BYTE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_DATA_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_MISO_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_CLOCK_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_CS_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_CS_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_DATA_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_BIT_ORDER;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_MOSI_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_MISO_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MOSI;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_FRAME_DATA_MISO;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_SELECTED_WORD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MOSI;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SPI_WORD_MISO;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_CLOCK_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_DATA_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_BIT_ORDER;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_WORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_MOSI_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_SSPI_MISO_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_SOURCE_LINE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_SOURCE_LINE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_IDLE_STATE_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_INTERFRAME_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_BIT_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_PARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_STOP_BITS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_FRAME_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_SELECTED_WORD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_RX_WORD_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_TX_WORD_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_UART_WORD_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_STANDARD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_BIT_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_PARITY_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_SYNC_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_FRAME_VERSION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_SELECTED_BYTE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_LIN_BYTE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_LINE_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_BIT_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SAMPLE_POINT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_FRAME_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_ACK_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_ACK_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_CHECKSUM_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_DATA_LENGTH_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_ID_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_ID_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_ID_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_BSE_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_SELECTED_BYTE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_CAN_BYTE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_ANALYZED_LINES;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_FRAME_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_FRAME_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_BIT_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_ANALYZED_LINES;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SLOPE;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CS_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_END;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PARALLEL_BUS_CLOCKED_BIT_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_VARIANT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_WORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_BIT_ORDER;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_WS_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_DATA_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DISPLAY_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_SCREEN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HIGH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HLOW;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_TIMING;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_INFINITE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_INTER_MESSAGE_GAP_TIME_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_INFINITE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_RESPONSE_TIME_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_SELECTED_WORD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TRANSMISSION_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_PARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RESPONSE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INTERMESSAGE_GATE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_RT_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_SUB_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_RECEIVED_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUSY_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_BUS_CONTROL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_INSTRUMENTATION_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_MESSAGE_ERROR_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_STATUS_RT_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SUBSYSTEM_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_TERMINAL_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_MILSTD_WORD_SERVICE_REQUEST_BIT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_BIT_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_DATA_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_SELECTED_WORD;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_START;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SDI;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_SSM;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_LABEL_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PATTERN;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_PARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_PROTOCOL_ARINC429_WORD_DATA;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_RESULT_TABLE_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_RESET_STATISTICS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_STATISTICS_VISIBLE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_START_DESKEW;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_ZERO_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_AUTOSET_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_CURRENT_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DUT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_USER;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_SITE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_TEMPERATURE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_DESCRIPTION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ANALYSIS_REPORT_OUTPUT_FOLDER;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_QUALITY_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_QUALITY_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_CONSUMPTION_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_RESTART_POWER_CONSUMPTION_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_DURATION_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ACTIVE_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_APPARENT_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_POWER_FACTOR_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_PHASE_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CONSUMPTION_MEASUREMENT_REACTIVE_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_CURRENT_HARMONICS_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_STANDARD;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_MIL;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_RTC;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_NUMBER_OF_MEASURED_HARMONICS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_DURATION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_RESET_POWER_CURRENT_HARMONICS_MEASUREMENT_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_AVERAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_REAL_POWER_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_AVERAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MINIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_CURRENT_HARMONICS_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_AREA_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_MAXIMUM_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_RIPPLE_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_RIPPLE_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_SPECTRUM_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SPECTRUM_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_RESET_POWER_SPECTRUM_MEASUREMENT_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_SLEW_RATE_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_SAMPLE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SLEW_RATE_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_MODULATION_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_MODULATION_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_UPPER;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_LOWER;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_MODULATION_THRESHOLD_HYSTERESIS;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_EFFICIENCY_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_EFFICIENCY_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_SET_POWER_SWITSCHINGLOSS_MEASUREMENT_GATE_TO_WAVEFORM;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_ENERGY_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_POWER_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_ON_OFF_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_ON_OFF_MEASUREMENT_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_RESTART_POWER_SAFE_OPERATING_AREA_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_MASK_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_DISPLAY_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LIN_ADD;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_INSERT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_REMOVE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_ADD;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_INSERT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_REMOVE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_SELECTED_POINT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MIN;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MAX;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_TOLERANCE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_PASSED_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_CURRENT_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_TOLERANCE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RESULTS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_ACQUISITIONS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_SAMPLES;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_CURRENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_START;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_INCREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_ADD_REPORT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_START_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_STOP_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_DELAY_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_OVERSHOOT;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_VALUE;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_RISE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_POWER_TRANSIENT_RESPONSE_SETTLING_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_ANALYSIS_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_ANALYSIS_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_ANALYSIS_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COMPLETE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COUNT;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_MAGNITUDE_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_RESET;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_WINDOW_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_START;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_STOP;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_FULL_SPAN;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RESOLUTION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_RESET;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_SPECTROGRAM_WINDOW_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_DISPLAY;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DISTANCE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_EXCURSION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MINIMUM_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_DETECTION_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_MAXIMUM_WIDTH;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_CENTER_SCREEN;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_SETUP_RANGE_TO_PEAK;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_SPAN;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_REFERENCE_INDEX;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_DETECTED_PEAKS;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_RESULT_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_MARKER_TABLE_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_REFERENCE_MARKER_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAGNITUDE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_MAXIMUM_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_MINIMUM_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_COLOR_SCHEME;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_COLOR_SCHEME;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_FREQUENCY_DOMAIN_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_DISPLAY_TIME_DOMAIN_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_WAVEFORM_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MINIMUM_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_WAVEFORM_MAXIMUM_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_WAVEFORM_AVERAGE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_SPECTRUM_TIME_DOMAIN_RANGE;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_RESULT;
extern RsCoreAttribute g_RSRTX_ATTR_DVM_RESULT_STATUS;
extern RsCoreAttribute g_RSRTX_ATTR_COUNTER_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_COUNTER_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_COUNTER_PERIOD;
extern RsCoreAttribute g_RSRTX_ATTR_COUNTER_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_START_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AUTOSCALE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_INPUT_CHANNEL;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_OUTPUT_CHANNEL;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_GAIN_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_GAIN_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_GAIN_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_PHASE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_PHASE_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_PHASE_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_SCALE;
extern RsCoreAttribute g_RSRTX_ATTR_START_BODE_PLOT_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_STOP_BODE_PLOT_MEASUREMENT;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_REPEATED_MEASUREMENT_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_RESET;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_POINTS_PER_DECADE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_POINTS_DISPLAY_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MEASUREMENT_DELAY;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINTS;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_AMPLITUDE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_AMPLITUDE_PROFILE_POINT_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_INDEX;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_FREQUENCY_DIFFERENCE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_GAIN_DIFFERENCE;
extern RsCoreAttribute g_RSRTX_ATTR_BODE_PLOT_MARKER_PHASE_DIFFERENCE;
extern RsCoreAttribute g_RSRTX_ATTR_RESET_BODE_PLOT_MARKERS;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_DUTY_CYCLE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_PULSE_EDGE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_RAMP_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_EXPONENTIAL_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_TRIANGLE_SYMMETRY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_FUNCTION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_MODULATION_RAMP_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ASK_MODULATION_DEPTH;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOPPING_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_UPDATE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_START;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RANGE_END;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_ARBITRARY_DISPLAY_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_OUTPUT_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_CYCLES;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_IDLE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_PHASE_OFFSET;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_GENERATOR_BURST_TRIGGER_SINGLE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_FUNCTION_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PERIOD;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_POLARITY;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_OUTPUT_VOLTAGE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_DUTY_CYCLE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_SAMPLE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_COUNTER_FREQUENCY;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_BURST_CYCLES;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_IDLE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_TRIGGER_RUN_SINGLE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_EXTERNAL_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_PATTERN_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_ARB_INDEX;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_MANUAL_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_MOTOR_DIRECTION;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_DUTY_CYCLE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_BLUE;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_GREEN;
extern RsCoreAttribute g_RSRTX_ATTR_PATTERN_GENERATOR_PWM_LED_INTENSITY_RED;
extern RsCoreAttribute g_RSRTX_ATTR_COLOR_AND_BRIGHTNESS;
extern RsCoreAttribute g_RSRTX_ATTR_SIGNAL_STYLE;
extern RsCoreAttribute g_RSRTX_ATTR_DIAGRAM_GRID_STYLE;
extern RsCoreAttribute g_RSRTX_ATTR_DIAGRAM_ANNOTATION_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_DIAGRAM_ANNOTATION_TRACK;
extern RsCoreAttribute g_RSRTX_ATTR_WAVEFORM_INTENSITY;
extern RsCoreAttribute g_RSRTX_ATTR_BACKGROUND_INTENSITY;
extern RsCoreAttribute g_RSRTX_ATTR_GRID_INTENSITY;
extern RsCoreAttribute g_RSRTX_ATTR_DISPLAY_LANGUAGE;
extern RsCoreAttribute g_RSRTX_ATTR_DISPLAY_DATE_AND_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_DIAGRAM_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_DISPLAY_SEND_MESSAGE;
extern RsCoreAttribute g_RSRTX_ATTR_DISPLAY_CLOSE_DIALOG;
extern RsCoreAttribute g_RSRTX_ATTR_DIALOG_TRANSPARENCY;
extern RsCoreAttribute g_RSRTX_ATTR_DISPLAY_CLEAR_SCREEN;
extern RsCoreAttribute g_RSRTX_ATTR_PERSISTENCE_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_PERSISTENCE_TYPE;
extern RsCoreAttribute g_RSRTX_ATTR_INFINITE_PERSISTENCE;
extern RsCoreAttribute g_RSRTX_ATTR_PERSISTENCE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_PERSISTENCE_CLEAR;
extern RsCoreAttribute g_RSRTX_ATTR_XY_X_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_XY_Y_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_XY_Y2_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_XY_Z_SOURCE;
extern RsCoreAttribute g_RSRTX_ATTR_XY_Z_TRESHOLD;
extern RsCoreAttribute g_RSRTX_ATTR_XY_INTENSITY_CONTROL;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_WINDOW_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_DIAGRAM_TIMEBASE;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_REFERENCE_POINT;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_WINDOW_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_ZOOM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRTX_ATTR_MARKER_SET;
extern RsCoreAttribute g_RSRTX_ATTR_MARKER_CLEAR;
extern RsCoreAttribute g_RSRTX_ATTR_MARKER_CLEAR_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_MARKER_NEXT;
extern RsCoreAttribute g_RSRTX_ATTR_MARKER_PREVIOUS;
extern RsCoreAttribute g_RSRTX_ATTR_VIRTUAL_SCREEN_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_VIRTUAL_SCREEN_POSITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_ACQUISITON_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_PLAYER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_TABLE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_TIME_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_CHANNEL_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_ACQUISITON_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_PLAYER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_DIGITAL_TIME_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_DIGITAL_HISTORY_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_ACQUISITON_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_PLAYER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_TIME_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_MATH_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_ACQUISITON_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_PLAYER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_TIME_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_PROTOCOL_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_ACQUISITION_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_SPECTRUM_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_CURRENT_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_START_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_STOP_ACQUISITION;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_PLAY_ALL;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_SPEED;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_REPEAT;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_ACQUISITON_RELATIVE_TIME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DATES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_ALL_TIME_DIFFERENCES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_ALL_DAYTIMES;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_PLAYER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_TIME_TABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HISTORY_LOGIC_EXPORT_SAVE;
extern RsCoreAttribute g_RSRTX_ATTR_SEGMENTATION_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTX_ATTR_ULTRA_SEGMENTATION_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SEGMENTATION_RECORD_MAXIMUM_SEGMENTS;
extern RsCoreAttribute g_RSRTX_ATTR_SEGMENTATION_NX_SINGLE_MAXIMUM;
extern RsCoreAttribute g_RSRTX_ATTR_SEGMENTATION_MAXIMUM_NUMBER_OF_SEGMENTS;
extern RsCoreAttribute g_RSRTX_ATTR_SEGMENTATION_NUMBER_OF_AVAILABLE_SEGMENTS;
extern RsCoreAttribute g_RSRTX_ATTR_DRIVES;
extern RsCoreAttribute g_RSRTX_ATTR_CHANGE_DRIVE;
extern RsCoreAttribute g_RSRTX_ATTR_CURRENT_DIRECTORY;
extern RsCoreAttribute g_RSRTX_ATTR_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSRTX_ATTR_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSRTX_ATTR_DELETE_FILE;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_FILE_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_DEVICE_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_SCREENSHOT_EXPORT_DESTINATION;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_COLOR_SCHEME;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_COMMAND_SET;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_CLOSE_DIALOGS;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_OUTPUT_FORMAT;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_DEVICE_ORIENTATION;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_X;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_PAGE_SIZE_Y;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_PRINT;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_SELECT_PRINTER;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_GET_FIRST_PRINTER;
extern RsCoreAttribute g_RSRTX_ATTR_HARDCOPY_GET_NEXT_PRINTER;
extern RsCoreAttribute g_RSRTX_ATTR_DEVICE_MODE;
extern RsCoreAttribute g_RSRTX_ATTR_INTERFACE_SELECT;
extern RsCoreAttribute g_RSRTX_ATTR_USB_CLASS;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_DHCP;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_IP_PORT;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_VXI11_PORT;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_HTTP_PORT;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_TRANSFER;
extern RsCoreAttribute g_RSRTX_ATTR_ETHERNET_MAC_ADDRESS;
extern RsCoreAttribute g_RSRTX_ATTR_PRESET_EDUCATION;
extern RsCoreAttribute g_RSRTX_ATTR_DEVICE_FOOTPRINT;
extern RsCoreAttribute g_RSRTX_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSRTX_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSRTX_ATTR_LOGGING;
extern RsCoreAttribute g_RSRTX_ATTR_CALIBRATION;
extern RsCoreAttribute g_RSRTX_ATTR_SELF_TEST_QUERY;
extern RsCoreAttribute g_RSRTX_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSRTX_ATTR_SYST_ERR_LIST;
extern RsCoreAttribute g_RSRTX_ATTR_INSTRUMENT_NAME;
extern RsCoreAttribute g_RSRTX_ATTR_RESET_STATUS_REGISTER;
extern RsCoreAttribute g_RSRTX_ATTR_SELF_ALIGNMENT;
extern RsCoreAttribute g_RSRTX_ATTR_SELF_ALIGNMENT_STATE;
extern RsCoreAttribute g_RSRTX_ATTR_QUERY_OPC;
extern RsCoreAttribute g_RSRTX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSRTX_ATTR_SOUND_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SOUND_ERROR_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SOUND_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSRTX_ATTR_SOUND_GENERATE;
extern RsCoreAttribute g_RSRTX_ATTR_OPERATION_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_OPERATION_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_OPERATION_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_OPERATION_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_OPERATION_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_LIMIT_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_LIMIT_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_LIMIT_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_LIMIT_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_LIMIT_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_MASK_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_MASK_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_MASK_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_MASK_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_MASK_EVENT;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_CONDITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_ENABLE;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_N_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_P_TRANSITION;
extern RsCoreAttribute g_RSRTX_ATTR_QUESTIONABLE_ADC_STATE_EVENT;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsrtx_RsCoreRepCapTable[];
extern ViInt32 rsrtx_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsrtx_RsCoreAttributeList[];
extern ViInt32 rsrtx_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSRTX_ATTRIBUTES_HEADER */
